| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
DisplayFilterExpressionDialog Class Reference

A dialog to assist users in building and selecting display filter expressions. More...

`#include <display_filter_expression_dialog.h>`

Inheritance diagram for DisplayFilterExpressionDialog:

## Signals
void | insertDisplayFilter (const QString &filter)
| Signal emitted to insert a constructed display filter string into the target editor.

## Public Member Functions
| DisplayFilterExpressionDialog (QWidget *parent=0)
| Constructs a new DisplayFilterExpressionDialog.
| ~DisplayFilterExpressionDialog ()
| Destroys the DisplayFilterExpressionDialog.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Additional Inherited Members
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Detailed Description

A dialog to assist users in building and selecting display filter expressions.

## Constructor & Destructor Documentation

## ◆ DisplayFilterExpressionDialog()

DisplayFilterExpressionDialog::DisplayFilterExpressionDialog | ( | QWidget * | parent = 0 | ) |
| explicit

Constructs a new DisplayFilterExpressionDialog.

Parameters

  parent | The parent widget, defaults to 0.

## Member Function Documentation

## ◆ insertDisplayFilter

void DisplayFilterExpressionDialog::insertDisplayFilter | ( | const QString & | filter | ) |
| signal

Signal emitted to insert a constructed display filter string into the target editor.

Parameters

  filter | The display filter string.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/display_filter_expression_dialog.h
- /builds/wireshark/wireshark/ui/qt/display_filter_expression_dialog.cpp